---
# Docker Registry values
# https://github.com/twuni/docker-registry.helm/blob/main/values.yaml

image:
  repository: registry
  tag: 2.8.1

ingress:
  enabled: true
#  className: traefik
  tls:
    - secretName: xai-corp-production-tls
  hosts:
    - dkregistry.xai-corp.net
#  annotations:
#    cert-manager.io/cluster-issuer: letsencrypt-production
##    kubernetes.io/ingress.class: traefik
#    traefik.ingress.kubernetes.io/router.entrypoints: websecure
#    traefik.ingress.kubernetes.io/router.tls: 'true'

persistence:
  enabled: true
  existingClaim: data-dkregistry-0

secrets:
  htpasswd: false
